> For the complete documentation index, see [llms.txt](https://cooking-city-launchpad.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://cooking-city-launchpad.gitbook.io/docs/api-documentation/basic-information.md).

# Basic Information

### Basic Information

* **API Base URL**: `https://api.cooking.city`
* **Protocol**: HTTPS
* **Data Format**: JSON
* **Authentication**: Bearer Token (obtained via Solana wallet signature)

### Core Features

1. User Authentication - Solana wallet login
2. Token Creation - Create new tokens
3. Token Trading - Internal/External trading
4. Token Query - Token list and details
5. Conviction Pool Management - Create and manage conviction pools

### Quick Start

1. Connect Solana wallet
2. Sign message to obtain API Token
3. Use Token to call API endpoints

### Error Handling

All API responses follow a unified format:

```json
{
  "code": 200,
  "data": {},
  "message": "Success"
}
```

### Environment Configuration

* **Mainnet**: `https://api.cooking.city`
* **RPC**: Helius or QuickNode

### Supported Networks

* Solana Mainnet

### SDK and Tools

* **Frontend**: React/Next.js
* **Wallet**: AppKit (formerly WalletConnect)
* **Trading**: Meteora DLMM + Jupiter
* **On-chain Program**: Anchor Framework


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://cooking-city-launchpad.gitbook.io/docs/api-documentation/basic-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
